## smlsharp 1.1.0

=== debian/changelog ===
smlsharp (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 09 Aug 2012 05:52:40 +0900

smlsharp (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #682823)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 24 Jul 2012 15:28:44 +0900
