=== debian/control ===
Source: smlsharp
Section: devel
Priority: extra
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), gcc-multilib, ed, mawk,
	lib32gmp-dev [amd64], libgmp-dev [i386]
Standards-Version: 3.9.3
Homepage: http://www.pllab.riec.tohoku.ac.jp/smlsharp/
Vcs-Git: git://anonscm.debian.org/collab-maint/smlsharp.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/smlsharp.git

Package: smlsharp
Architecture: i386 amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standard ML compiler with practical extensions
 SML# is a variant of Standard ML programming
 language with several practical extentions,
 including seamless interoperability with C,
 integration with SQL, and separate compilation.
