## smlsharp 1.2.0

=== debian/changelog ===
smlsharp (1.2.0-2) unstable; urgency=low

  * Update debian/control.
    - Set Architecture to i386 only. (Closes: #718108)
    - Bump Standards-Version to 3.9.4.
    - Add libgmp-dev to Depends.
  * Add README.Debian.
    Add infomation about support architecture.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 29 Jul 2013 11:26:41 +0900

smlsharp (1.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 21 Nov 2012 12:24:30 +0900
