=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,9 @@
 		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" \
 		./configure --prefix=/usr --enable-fast-build	\
 		--enable-thread
+
+override_dh_auto_clean:
+	dh_auto_clean
+
+	rm -rf precompiled/fastbuild1
+	rm -rf precompiled/fastbuild2
