## smlsharp 4.0.0

=== debian/changelog ===
smlsharp (4.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 Sep 2021 14:01:20 +0900

smlsharp (4.0.0-2) experimental; urgency=medium

  * Update d/control
    - Drop i386 from Architecture. This is not support.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 30 Sep 2021 08:28:41 +0900

smlsharp (4.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update d/control
    - Add "Rules-Requires-Root: no".
    - Update Vcs-Git and Vcs-Browser field.
    - Update Homepage field.
    - Change Priority from extra to optional.
    - Add llvm-dev and libmassivethreads-dev to B-D.
    - Drop gcc-multilib, ed, mawk and cpio from B-D.
    - Set Architecture to i386 and amd64.
  * Add d/upstream/metadata
  * Update d/copyright
    - Update source field.
    - Get rid of lintian 'insecure-copyright-format-uri'.
  * Remove d/source.lintian-overrides.
  * Update d/rules
    - Remove override_dh_auto_clean target.
  * Add d/watch.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Sep 2021 17:17:37 +0900

smlsharp (3.6.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Update d/control.
    * Update debhelper dependency to "Build-Depends: debhelper-compat (= 13)".
    * Drop dpkg-dev from B-D.
    * Bump Standards-Version to 4.5.1 (no change).
  * Add d/gbp.conf

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Dec 2020 14:42:54 +0900
