=== sample/glut/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 SMLSHARP = smlsharp
-LIBS = -Wl,-framework,OpenGL -Wl,-framework,GLUT  # for Mac OS X
+#LIBS = -Wl,-framework,OpenGL -Wl,-framework,GLUT  # for Mac OS X
 #LIBS = -L/usr/X11R6/lib -lgl -lglu -lglut
+LIBS = -L/usr/lib -lGL -lGLU -lglut
 
 cube: cube.smi cube.o libglut.o
 	$(SMLSHARP) -o $@ cube.smi $(LIBS)
