=== sample/stdio/Makefile ===
SMLSHARP = smlsharp

stdio: stdio.sml
	$(SMLSHARP) -o $@ stdio.sml

clean:
	-rm -f stdio
