=== debian/changelog ===
smlsharp (4.0.0+git20211227.5af5945b-1) unstable; urgency=medium

  * Snapshot, taken from the master (20220106). (Closes: #1002084)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 06 Jan 2022 09:26:36 +0900
