=== debian/control ===
Source: smlsharp
Section: devel
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: debhelper-compat (= 13),
               libgmp-dev,
               llvm-dev,
               libmassivethreads-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://smlsharp.github.io
Vcs-Git: https://salsa.debian.org/debian/smlsharp.git
Vcs-Browser: https://salsa.debian.org/debian/smlsharp

Package: smlsharp
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Standard ML compiler with practical extensions
 SML# is a variant of Standard ML programming
 language with several practical extentions,
 including seamless interoperability with C,
 integration with SQL, and separate compilation.
